/* BLOCK: Location Gallery */

.block-image-gallery .gallery-wrapper {
    position: relative;
}

.block-image-gallery .swiper {
    --swiper-pagination-bullet-horizontal-gap: 0px;
    --swiper-pagination-bullet-size: 0.5rem;
    --swiper-pagination-color: var(--c-text-light);
    --swiper-pagination-bullet-inactive-color: transparent;
    --swiper-pagination-bullet-inactive-opacity: 1;
}

.block-image-gallery .swiper-wrapper::after {
    content: '';
    position: absolute;
    inset: 0;
    background: linear-gradient(180deg, transparent 50%, rgb(from var(--c-text-dark) r g b / .7) 100%);
    background-blend-mode: multiply;
    mix-blend-mode: multiply;
    border-radius: 1.5625rem;
    pointer-events: none;
}

.block-image-gallery .gallery-wrapper .swiper-slide img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    aspect-ratio: 16 / 9;
    border-radius: 1.5625rem;
}

.block-image-gallery .swiper-slide {
    width: 100%;
}

.block-image-gallery .swiper-pagination {
    bottom: 2.5rem;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1rem;
}

.block-image-gallery .swiper-pagination-bullet {
    border: 1px solid var(--c-text-light);
}

.block-image-gallery .swiper-nav {
    background-color: var(--c-text-light);
    border-radius: 0.75rem;
    z-index: 100;
}

.block-image-gallery .swiper-nav svg {
    color:var(--c-primary);
    width: 0.75rem;
    height: auto;
}

.block-image-gallery .swiper-nav--prev {
    position: absolute;
    bottom: 1.5625rem;
    left: 1.5625rem;
}

.block-image-gallery .swiper-nav--next {
    position: absolute;
    bottom: 1.5625rem;
    right: 1.5625rem;
}

.block-image-gallery .swiper-navigation button {
    width: 2.5rem;
    height: 2.5rem;
    background-color: var(--c-text-light);
    border:none;
}

.block-image-gallery .gallery-w-caption .gallery-caption {
    display: flex;
    align-items: center;
    gap: 0.9375rem;
    margin-top: 1.875rem;
    font-size: var(--font-15-12);
}

.block-image-gallery .gallery-w-caption .gallery-caption svg {
    color: var(--c-tertiary);
    width: 0.625rem;
    height: auto;
}

@media screen and (width <= 620px) {
    .block-image-gallery .swiper {
        --swiper-pagination-bullet-size: 0.375rem;
    }

    .block-image-gallery .swiper-wrapper::after {
        border-radius: 1.125rem;
    }

    .block-image-gallery .gallery-w-caption .gallery-caption {
        margin-top: 1.25rem;
    }

    .block-image-gallery .gallery-wrapper .swiper-slide img {
        aspect-ratio: 1;
        border-radius: 1.125rem;
    }

    .block-image-gallery .swiper-navigation button {
        display: none;
    }

    .block-image-gallery .swiper-pagination {
        bottom: 1.25rem;
        gap: 0.625rem;
    }
}
